<?php

namespace EventPortal\Tests\Unit\Agenda;

use EventPortal\Domain\Agenda\SessionKeyMap;
use EventPortal\Tests\TestCase;

class SessionKeyMapTest extends TestCase
{
    /** @test **/
    public function can_get_browser_key_from_database_key()
    {
        $this->assertEquals(
            'session-start-time',
            SessionKeyMap::getBrowserKeyFromDatabase('starting_at')
        );
    }

    /** @test **/
    public function can_get_database_key_from_browser_key()
    {
        $this->assertEquals(
            'starting_at',
            SessionKeyMap::getDatabaseKeyFromBrowser('session-start-time')
        );
    }
}
